Bug 1294714 - Review Request: python3-chardet - Character encoding auto-detection in Python
Review Request: python3-chardet - Character encoding auto-detection in Python
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
Depends On: 1294704
  Show dependency treegraph
Reported: 2015-12-29 18:26 EST by Orion Poplawski
Modified: 2016-02-05 21:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-05 21:25:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-12-29 18:26:29 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-chardet.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-chardet-2.3.0-1.el7.src.rpm

Character encoding auto-detection in Python. As
smart as your browser. Open source.

Fedora Account System Username: orion
Comment 1 Orion Poplawski 2015-12-30 13:28:40 EST
Copr: https://copr.fedoraproject.org/coprs/g/python/python3_epel7/
Comment 2 Denis Fateyev 2016-01-13 13:11:09 EST
Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "Unknown or generated", "*No copyright*
     LGPL (v2.1 or later)". 5 files have unknown license. Detailed output
     of licensecheck in
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/chardet/__pycache__(python3-chardet), /usr/lib/python3.4
Note: not related to epel7

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

[x]: Python eggs must not download any dependencies during the build
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Checking: python3-chardet-2.3.0-1.el7.centos.src.rpm
python3-chardet.src:31: W: macro-in-comment %{srcname}
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Separate "python34-chardet-2.3.0-1.el7.centos.noarch.rpm" checks:

python34-chardet.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/chardet/chardetect.py 644 /usr/bin/env
python34-chardet.noarch: W: no-manual-page-for-binary python34-chardetect
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

$ rpm -qp --requires python34-chardet-2.3.0-1.el7.centos.noarch.rpm | sort | uniq -c
      1 python(abi) = 3.4
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PartialHardlinkSets) <= 4.0.4-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 /usr/bin/python3.4

]$ rpm -qp --provides python34-chardet-2.3.0-1.el7.centos.noarch.rpm | sort | uniq -c
      1 python34-chardet = 2.3.0-1.el7.centos

Source checksums
https://pypi.python.org/packages/source/c/chardet/chardet-2.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : e53e38b3a4afe6d1132de62b7400a4ac363452dc5dfcf8d88e8e0cce663c68aa
  CHECKSUM(SHA256) upstream package : e53e38b3a4afe6d1132de62b7400a4ac363452dc5dfcf8d88e8e0cce663c68aa

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1294714
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby

1) Formally, this package cannot be created since it already exists (although orphaned): https://admin.fedoraproject.org/pkgdb/package/rpms/python3-chardet/
Not an issue, but should be considered since it's a new branch creation instead of a new package request;
2) Consider dropping the comment caused warning above "W: macro-in-comment %{srcname}";
3) Probably missing "Requires: python%{python3_pkgversion}-setuptools" for subpackage?
4) Please remove unneeded shebang from '/usr/lib/python3.4/site-packages/chardet/chardetect.py'.
Comment 3 Orion Poplawski 2016-01-13 13:23:20 EST
Thanks for the review and for the note about the retired python3-chardet package.  I'll unretire that when this is approved.

Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-chardet.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-chardet-2.3.0-2.el7.src.rpm

* Wed Jan 13 2016 Orion Poplwski <orion@cora.nwra.com> - 2.3.0-2
- Remove unneeded shebang

Fixes both 2 and 4.

I'm pretty sure setuptools is only used for building.
Comment 4 Denis Fateyev 2016-01-13 13:44:49 EST
Package approved.
Comment 5 Fedora Update System 2016-01-20 14:52:39 EST
python3-chardet-2.3.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ca5fc259d5
Comment 6 Fedora Update System 2016-01-22 02:56:16 EST
python3-chardet-2.3.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ca5fc259d5
Comment 7 Fedora Update System 2016-02-05 21:25:11 EST
python3-chardet-2.3.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.